Diskussion zu "phpBB 3.3.0-Beta 1 erschienen"

Projekte der phpBB.de-Community und Feedback zu phpBB.de.
Benutzeravatar
Kirk
Supporter
Supporter
Beiträge: 6762
Registriert: 24.05.2010 08:31
Kontaktdaten:

Re: Diskussion zu "phpBB 3.3.0-Beta 1 erschienen"

Beitrag von Kirk »

Falls jemand in seiner EXT eine routing.yml hat, müsste das pattern durch path ersetzt werden.

Benutzeravatar
Scanialady
Mitglied
Beiträge: 665
Registriert: 23.02.2009 16:29
Wohnort: Velbert (NRW)
Kontaktdaten:

Re: Diskussion zu "phpBB 3.3.0-Beta 1 erschienen"

Beitrag von Scanialady »

Was genau ist da jetzt anders bei den yml-Dateien?
https://ladyscommunity.de | Deutsche Übersetzungen für Extensionen (ggf. auf Anfrage)
-
Die Bosheit trinkt die Hälfte ihres eigenen Giftes (Lucius Annaeus Seneca)

Benutzeravatar
Kirk
Supporter
Supporter
Beiträge: 6762
Registriert: 24.05.2010 08:31
Kontaktdaten:

Re: Diskussion zu "phpBB 3.3.0-Beta 1 erschienen"

Beitrag von Kirk »

Bei älteren Erweiterungen stand es z.b. so drin: - @auth jetzt muss es so sein - '@auth'
Ein nützliches Tool ist das hier: https://jsonformatter.org/yaml-formatter

Benutzeravatar
Scanialady
Mitglied
Beiträge: 665
Registriert: 23.02.2009 16:29
Wohnort: Velbert (NRW)
Kontaktdaten:

Re: Diskussion zu "phpBB 3.3.0-Beta 1 erschienen"

Beitrag von Scanialady »

Danke Kirk. Gut zu wissen. Vielleicht hilft es ja, einige Uralt-Extensionen am Leben zu erhalten, deren Autoren sich nicht mehr darum kümmern. Es wäre schön, gäbe es da workarounds...
https://ladyscommunity.de | Deutsche Übersetzungen für Extensionen (ggf. auf Anfrage)
-
Die Bosheit trinkt die Hälfte ihres eigenen Giftes (Lucius Annaeus Seneca)

Benutzeravatar
Tastenplayer
Mitglied
Beiträge: 1668
Registriert: 02.07.2010 19:35
Wohnort: Zuchwil/SO - Schweiz
Kontaktdaten:

Re: Diskussion zu "phpBB 3.3.0-Beta 1 erschienen"

Beitrag von Tastenplayer »

Kirk hat geschrieben:
27.10.2019 09:17
- '@auth'
Stimmt das nun so

Code: Alles auswählen

services:
    kirk.stylechanger.listener:
        class: kirk\stylechanger\event\listener
        arguments:
            - '@auth'
            - '@config'
            - '@dbal.conn'
            - '@request'
            - '@template'
            - '@user'
            - '@language'
            - %core.root_path%
            - %core.php_ext%
        tags:
            - { name: event.listener }
Mindestens den Stylechanger sollte ich zum Laufen bringen können.
Aber leider kommt immer:

Code: Alles auswählen

Information

The selected extension cannot be enabled, please verify the extension’s requirements.
Meine phpBB Styles & More
Be the best version of yourself rather than a bad copy of someone else!

Benutzeravatar
Kirk
Supporter
Supporter
Beiträge: 6762
Registriert: 24.05.2010 08:31
Kontaktdaten:

Re: Diskussion zu "phpBB 3.3.0-Beta 1 erschienen"

Beitrag von Kirk »


Benutzeravatar
Tastenplayer
Mitglied
Beiträge: 1668
Registriert: 02.07.2010 19:35
Wohnort: Zuchwil/SO - Schweiz
Kontaktdaten:

Re: Diskussion zu "phpBB 3.3.0-Beta 1 erschienen"

Beitrag von Tastenplayer »

Super! Danke Dir
Hätt ich aber auch selber drauf kommen können(müssen), wo der Fehler liegt :)
Meine phpBB Styles & More
Be the best version of yourself rather than a bad copy of someone else!

Benutzeravatar
Gumfuzi
Ehemaliges Teammitglied
Beiträge: 2425
Registriert: 26.03.2004 22:25
Wohnort: Linz, AT
Kontaktdaten:

Re: Diskussion zu "phpBB 3.3.0-Beta 1 erschienen"

Beitrag von Gumfuzi »

Abgesehen von den neues Features... gibt es Probleme mit der Kompatibilität von Extensions, sodass diese neu geschrieben oder gröber angepasst werden müssen?
Du kannst niemals alle mit deinem Tun begeistern. Selbst wenn du über's Wasser laufen kannst, kommt einer daher und fragt, ob du zu blöd zum Schwimmen bist.
https://www.deskmodder.de

Benutzeravatar
Crizzo
Administrator
Administrator
Beiträge: 10778
Registriert: 19.05.2005 21:45
Kontaktdaten:

Re: Diskussion zu "phpBB 3.3.0-Beta 1 erschienen"

Beitrag von Crizzo »

In der Information vom Umstieg 3.1 zu 3.2 sind viele Dinge beschrieben, die für 3.2 noch optional waren und welche um die Kompatibilität mit 3.1 zu erhalten. Quasi alles davon ist für 3.3 nun notwendig. Wenn also 3.2 Extensions da noch auf die alten Objekte oder Coding-style setzen, werden die nicht mehr laufen.

Das ist aber, so wie ich das bisher überblicken kann keine große Sache das einzupflegen.

Benutzeravatar
Gumfuzi
Ehemaliges Teammitglied
Beiträge: 2425
Registriert: 26.03.2004 22:25
Wohnort: Linz, AT
Kontaktdaten:

Re: Diskussion zu "phpBB 3.3.0-Beta 1 erschienen"

Beitrag von Gumfuzi »

Alles klar, danke!
Du kannst niemals alle mit deinem Tun begeistern. Selbst wenn du über's Wasser laufen kannst, kommt einer daher und fragt, ob du zu blöd zum Schwimmen bist.
https://www.deskmodder.de

Gesperrt

Zurück zu „Community Talk“